logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Build fails with Visual Studio 6

 
Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads



View previous topic :: View next topic  
Author Message
slaphappy



Joined: 10 Mar 2006
Posts: 1

PostPosted: Fri 10 Mar '06 0:16    Post subject: Build fails with Visual Studio 6 Reply with quote

This is the error I get: #error : Support for LDAP v2.0 toolkits has been removed from apr-util. Please use an LDAP v3.0 toolkit.
apr_ldap_url.c

I have the same problem whether compiling it by hand or in the IDE. Any ideas on what to do?
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Fri 10 Mar '06 13:38    Post subject: Reply with quote

Ldap v3.0 is in the latest Microsoft Platform SDK.

But.. this SDK does not support working with Microsoft Visual C/C++®, 6.0 as support for VC 6.0 has ended.

(see www.microsoft.com/downloads/details.aspx?FamilyId=A55B6B43-E24F-4EA3-A93E-40C0EC4F68E5&displaylang=en )


Steffen
Back to top
apie



Joined: 30 Mar 2006
Posts: 7

PostPosted: Thu 30 Mar '06 3:29    Post subject: MS VC++ 6.0 is still OK Reply with quote

http://www.microsoft.com/downloads/details.aspx?FamilyId=0BAF2B35-C656-4969-ACE8-E4C0C0716ADB&displaylang=en

After installing the above Platform SDK, I successfuly compiled Apache 2.2.0 with VC++ 6.0. "LDAP 2.0" error disappeared.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6255
Location: Germany, Next to Hamburg

PostPosted: Thu 30 Mar '06 13:39    Post subject: Re: MS VC++ 6.0 is still OK Reply with quote

apie wrote:
After installing [...] error disappeared.

Can you tell us the error message?
Back to top
apie



Joined: 30 Mar 2006
Posts: 7

PostPosted: Thu 30 Mar '06 16:24    Post subject: Reply with quote

The same error as slaphappy mentioned.
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6255
Location: Germany, Next to Hamburg

PostPosted: Thu 30 Mar '06 22:33    Post subject: Reply with quote

Steffen wrote:
Ldap v3.0 is in the latest Microsoft Platform SDK.

But.. this SDK does not support working with Microsoft Visual C/C++®, 6.0 as support for VC 6.0 has ended.

(see www.microsoft.com/downloads/details.aspx?FamilyId=A55B6B43-E24F-4EA3-A93E-40C0EC4F68E5&displaylang=en )


Steffen


You need to download the newest VC++

http://msdn.microsoft.com/vstudio/express/visualC/default.aspx
Back to top
apie



Joined: 30 Mar 2006
Posts: 7

PostPosted: Fri 31 Mar '06 3:55    Post subject: Reply with quote

Thank you for your reply. But you might misread my post.
In my post, I said "I successfuly compiled Apache 2.2.0 with VC++ 6.0." Very Happy
Back to top
mphare



Joined: 12 May 2006
Posts: 43
Location: Texas

PostPosted: Thu 13 Jul '06 21:24    Post subject: Reply with quote

OK, I downloaded the 2003 Platform, installed it and I still get the LDAP error mentioned above.

I downloaded and installed the VC++ 2005 Express and it gets a 'Cannot find windows.h' errors everywhere.

Any clues on this?
Back to top
mphare



Joined: 12 May 2006
Posts: 43
Location: Texas

PostPosted: Thu 13 Jul '06 22:14    Post subject: Reply with quote

Found the answer regarding windows.h
http://forums.microsoft.com/MSDN/ShowPost.aspx?PostID=7004&SiteID=1

But I seem to be getting other errors.
Back to top
mphare



Joined: 12 May 2006
Posts: 43
Location: Texas

PostPosted: Fri 14 Jul '06 0:11    Post subject: Reply with quote

Here's a sample of the link problems:
Code:
dso.c
apr_atomic.c
Generating Code...
Compiling resources...
Linking...
   Creating library .\Release/libapr-1.lib and object .\Release/libapr-1.exp
filestat.obj : error LNK2019: unresolved external symbol __imp__FreeSid@4 referenced in function _free_world
filestat.obj : error LNK2019: unresolved external symbol __imp__AllocateAndInitializeSid@44 referenced in function _resolve_prot
rand.obj : error LNK2019: unresolved external symbol __imp__CryptReleaseContext@8 referenced in function _apr_generate_random_bytes@8
rand.obj : error LNK2019: unresolved external symbol __imp__CryptGenRandom@12 referenced in function _apr_generate_random_bytes@8
rand.obj : error LNK2019: unresolved external symbol __imp__CryptAcquireContextA@20 referenced in function _apr_generate_random_bytes@8
proc.obj : error LNK2019: unresolved external symbol __imp__SetSecurityDescriptorDacl@16 referenced in function _apr_procattr_user_set@12
...
...
...
userinfo.obj : error LNK2019: unresolved external symbol __imp__RegCloseKey@4 referenced in function _apr_uid_homepath_get@12
userinfo.obj : error LNK2019: unresolved external symbol __imp__RegQueryValueExW@24 referenced in function _apr_uid_homepath_get@12
userinfo.obj : error LNK2019: unresolved external symbol __imp__RegOpenKeyExA@20 referenced in function _apr_uid_homepath_get@12
Release/libapr-1.dll : fatal error LNK1120: 25 unresolved externals
Build log was saved at "file://d:\Development\Apache\httpd-2.2.2\srclib\apr\Release\BuildLog.htm"
libapr - 30 error(s), 0 warning(s)


I get a similar set of errors on several modules.
Back to top
Kambiz



Joined: 09 Sep 2006
Posts: 3

PostPosted: Sat 09 Sep '06 23:37    Post subject: Re: MS VC++ 6.0 is still OK Reply with quote

James Blond wrote:
apie wrote:
After installing [...] error disappeared.

Can you tell us the error message?


I get error "Support for LDAP v2.0 toolkits has been removed from apr-util. Please use an LDAP v3.0 toolkit." even after installing
"Windows® Server 2003 SP1 Platform SDK Web Install" and
"Windows Server 2003 R2 SDK Full Download" and
"Windows Server 2003 R2 SDK Web Install"

I tried every one of them. Somebody can help me to compile Apache http server 2.2.3 !?!?

Thanks
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads
Page 1 of 1